#! python3
#convert_csv_xlsx.py
#A tool to change CSVs to XLSX
#Licence: GPL-3.0-or-later
#Written by Stuart Griffiths, stuart.griffiths@birminghamscouts.org.uk
#Started 02/07/2022
#Version:0.4
#Released: 02/10/2022
#Status: Working
#Inputs: CSVs
#Outputs: XLSXs, zip files, folder
#Additional modules: openpyxl, pyminizip
#Next Steps:  
#Issues:  
#Background IP: 

#Libraries
import os #Enables file IO
from pathlib import Path #to work out current working directory
import csv #required to handle csv files
import pandas as pd #required to convert CSV to XLSX
import shutil #required for shell functions
import datetime #required for getting today's date
import pyminizip #required to zip a file up with password

def convert_csv_xlsx():
    #for every file ending in .csv
    #for files in os.walk(Path.cwd()):
    #    for file_path in files:
    #        extensions = ('.csv')
    #        ext = os.path.splitext(file_path)[1]
    #        if ext in extensions:
    #            file_name = os.path.splitext(file_path)[0]
    #            print(file_name)
                #read_file = pd.read_csv(file)
                # read_file.to_excel(file + '.xlsx')
    
    #1 - make working folder
    #get today's date
    today1 = str(datetime.date.today())
    today = datetime.datetime.strptime(today1, "%Y-%m-%d") #dodgy work around comparing datetime to date object error        
    working_folder = str(Path.cwd()) + '/' + str(today)
    os.makedirs(working_folder)    
    #make district folders
    county_folder = working_folder + '/' + 'county'
    os.makedirs(county_folder)
    CVS_folder = working_folder + '/' + 'CVS'
    os.makedirs(CVS_folder)
    rea_folder = working_folder + '/' + 'rea'
    os.makedirs(rea_folder)
    SCE_folder = working_folder + '/' + 'SCE'
    os.makedirs(SCE_folder)
    SCW_folder = working_folder + '/' + 'SCW'
    os.makedirs(SCW_folder)
    spitfire_folder = working_folder + '/' + 'spitfire'
    os.makedirs(spitfire_folder)
    tame_folder = working_folder + '/' + 'tame'
    os.makedirs(tame_folder)
    csv_folder = working_folder + '/' + '_csv'
    os.makedirs(csv_folder)

    #2 - GDPR
    #get paths and file name
    file_title = 'county_GDPR'
    folder_name = county_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'CVS_GDPR'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'rea_GDPR'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCE_GDPR'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCW_GDPR'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'spitfire_GDPR'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'tame_GDPR'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #3 - Due Mandatory Training
    #get paths and file name
    file_title = 'county_due_mandatory_training'
    folder_name = county_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'CVS_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'rea_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCE_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCW_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'spitfire_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'tame_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #4 - Late Mandatory Training
    #get paths and file name
    file_title = 'county_late_mandatory_training'
    folder_name = county_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'CVS_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'rea_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCE_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCW_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'spitfire_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'tame_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #5 - GDPR
    #get paths and file name
    file_title = 'county_missing_training'
    folder_name = county_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'CVS_missing_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'rea_missing_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCE_missing_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCW_missing_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'spitfire_missing_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'tame_missing_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #6 - Woodbadge Reports
    #get paths and file name
    file_title = 'county_woodbadge_training'
    folder_name = county_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'CVS_woodbadge_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'rea_woodbadge_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCE_woodbadge_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'SCW_woodbadge_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'spitfire_woodbadge_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = 'tame_woodbadge_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #7 - General
    file_title = 'due_mandatory_training'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    file_title = 'missing_training'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    file_title = 'GDPR_training'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    file_title = 'late_mandatory_training'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    file_title = 'woodbadge_report'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #CVS group reports

    #get paths and file name
    file_title = '81_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '81_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '96_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '96_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '192_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '192_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '24_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '24_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '254_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '254_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '89_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '89_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '220_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '220_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '260_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '260_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '100_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '100_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '219_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '219_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '198_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '198_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '232_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '232_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '258_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '258_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '29_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '29_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '279_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '279_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '304_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '304_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '148_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '148_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '325_late_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '325_due_mandatory_training'
    folder_name = CVS_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #Rea

    #get paths and file name
    file_title = '74_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '74_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '191_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '191_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '145_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '145_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '108_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '108_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '169_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '169_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '293_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '293_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '281_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '281_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '277_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '277_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '195_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '195_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '238_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '238_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '206_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '206_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '283_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '283_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '42_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '42_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '95_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '95_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '303_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '303_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '113_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '113_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '218_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '218_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '332_late_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '332_due_mandatory_training'
    folder_name = rea_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #Spitfire

    #get paths and file name
    file_title = '298_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '298_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '144_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '144_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '34_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '34_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '234_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '234_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)
    #get paths and file name
    file_title = '237_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '237_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '126_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '126_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '87_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '87_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '261_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '261_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '118_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '118_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '184_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '184_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '155_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '155_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '211_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '211_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '309_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '309_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '141_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '141_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '305_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '305_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '330_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '330_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '331_late_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '331_due_mandatory_training'
    folder_name = spitfire_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #SCE

    #get paths and file name
    file_title = '143_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '143_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '21_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '21_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '197_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '197_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '209_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '209_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '167_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '167_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '235_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '235_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '227_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '227_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '172_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '172_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '257_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '257_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '164_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '164_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '326_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '326_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '102_late_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '102_due_mandatory_training'
    folder_name = SCE_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #SCW

    #get paths and file name
    file_title = '163_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '163_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '31_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '31_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '248_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '248_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '33_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '33_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '13_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '13_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '67_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '67_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '171_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '171_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '242_late_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '242_due_mandatory_training'
    folder_name = SCW_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #tame

    #get paths and file name
    file_title = '25_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '25_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '114_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '114_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '64_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '64_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '236_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '236_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '177_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '177_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '210_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '210_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '244_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '244_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '213_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '213_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '32_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '32_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '5_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '5_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '222_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '222_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '313_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '313_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '327_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '327_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '333_late_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #get paths and file name
    file_title = '333_due_mandatory_training'
    folder_name = tame_folder
    file_name = str(Path.cwd()) + '/' + str(file_title + '.csv')
    #convert to xlsx
    read_file = pd.read_csv(file_name)
    file_name_xlsx = file_title + '.xlsx'
    read_file.to_excel(file_name_xlsx, index = None, header = True)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_name_xlsx
    shutil.move(file_name_xlsx, file_name_destination)
    #move the CSV to the right place
    csv_destination = csv_folder + '/' + str(file_title + '.csv')
    shutil.move(file_name, csv_destination)

    #8 - Stats files

    file_title = '_GDPR_statistics.txt'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = '_total_training_statistics.txt'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = '_woodbadge_statistics.txt'
    folder_name = working_folder
    file_name = str(Path.cwd()) + '/' + str(file_title)
    #move file to the right place
    file_name_destination = folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    #9 - zip files
    #make list of files to zip
    county_list = [str(county_folder) + '/' + 'county_due_mandatory_training.xlsx', str(county_folder) + '/' + 'county_late_mandatory_training.xlsx', str(county_folder) + '/' + 'county_missing_training.xlsx', str(county_folder) + '/' + 'county_GDPR.xlsx', str(county_folder) + '/' + 'county_woodbadge_training.xlsx']
    CVS_list = [str(CVS_folder) + '/' + 'CVS_due_mandatory_training.xlsx', str(CVS_folder) + '/' + 'CVS_late_mandatory_training.xlsx', str(CVS_folder) + '/' + 'CVS_missing_training.xlsx', str(CVS_folder) + '/' + 'CVS_GDPR.xlsx', str(CVS_folder) + '/' + 'CVS_woodbadge_training.xlsx']
    rea_list = [str(rea_folder) + '/' + 'rea_due_mandatory_training.xlsx', str(rea_folder) + '/' + 'rea_late_mandatory_training.xlsx', str(rea_folder) + '/' + 'rea_missing_training.xlsx', str(rea_folder) + '/' + 'rea_GDPR.xlsx', str(rea_folder) + '/' + 'rea_woodbadge_training.xlsx']
    SCE_list = [str(SCE_folder) + '/' + 'SCE_due_mandatory_training.xlsx', str(SCE_folder) + '/' + 'SCE_late_mandatory_training.xlsx', str(SCE_folder) + '/' + 'SCE_missing_training.xlsx', str(SCE_folder) + '/' + 'SCE_GDPR.xlsx', str(SCE_folder) + '/' + 'SCE_woodbadge_training.xlsx']
    SCW_list = [str(SCW_folder) + '/' + 'SCW_due_mandatory_training.xlsx', str(SCW_folder) + '/' + 'SCW_late_mandatory_training.xlsx', str(SCW_folder) + '/' + 'SCW_missing_training.xlsx', str(SCW_folder) + '/' + 'SCW_GDPR.xlsx', str(SCW_folder) + '/' + 'SCW_woodbadge_training.xlsx']
    spitfire_list = [str(spitfire_folder) + '/' + 'spitfire_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + 'spitfire_late_mandatory_training.xlsx', str(spitfire_folder) + '/' + 'spitfire_missing_training.xlsx', str(spitfire_folder) + '/' + 'spitfire_GDPR.xlsx', str(spitfire_folder) + '/' + 'spitfire_woodbadge_training.xlsx']
    tame_list = [str(tame_folder) + '/' + 'tame_due_mandatory_training.xlsx', str(tame_folder) + '/' + 'tame_late_mandatory_training.xlsx', str(tame_folder) + '/' + 'tame_missing_training.xlsx', str(tame_folder) + '/' + 'tame_GDPR.xlsx', str(tame_folder) + '/' + 'tame_woodbadge_training.xlsx']
    #zip away
    pyminizip.compress_multiple(county_list, [], str(working_folder) + '/' + "county.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(CVS_list, [], str(working_folder) + '/' + "CVS.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(rea_list, [], str(working_folder) + '/' + "rea.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(SCE_list, [], str(working_folder) + '/' + "SCE.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(SCW_list, [], str(working_folder) + '/' + "SCW.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(spitfire_list, [], str(working_folder) + '/' + "spitfire.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(tame_list, [], str(working_folder) + '/' + "tame.zip", "BhamSc@uts", 1)
    
    #move to district folder
    file_title = 'county.zip'
    folder_name = 'county'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'CVS.zip'
    folder_name = 'CVS'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'rea.zip'
    folder_name = 'rea'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'SCE.zip'
    folder_name = 'SCE'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'SCW.zip'
    folder_name = 'SCW'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'spitfire.zip'
    folder_name = 'spitfire'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    file_title = 'tame.zip'
    folder_name = 'tame'
    file_name = working_folder + '/' + str(file_title)
    #move file to the right place
    file_name_destination = working_folder + '/' + folder_name + '/' + file_title
    shutil.move(file_name, file_name_destination)

    print("Folder sorting and zipping completed!")

    _96_group_list = [str(CVS_folder) + '/' + '96_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '96_late_mandatory_training.xlsx']
    _192_group_list = [str(CVS_folder) + '/' + '192_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '192_late_mandatory_training.xlsx']
    _24_group_list = [str(CVS_folder) + '/' + '24_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '24_late_mandatory_training.xlsx']
    _254_group_list = [str(CVS_folder) + '/' + '254_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '254_late_mandatory_training.xlsx']
    _89_group_list = [str(CVS_folder) + '/' + '89_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '89_late_mandatory_training.xlsx']
    _220_group_list = [str(CVS_folder) + '/' + '220_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '220_late_mandatory_training.xlsx']
    _260_group_list = [str(CVS_folder) + '/' + '260_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '260_late_mandatory_training.xlsx']
    _100_group_list = [str(CVS_folder) + '/' + '100_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '100_late_mandatory_training.xlsx']
    _219_group_list = [str(CVS_folder) + '/' + '219_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '219_late_mandatory_training.xlsx']
    _198_group_list = [str(CVS_folder) + '/' + '198_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '198_late_mandatory_training.xlsx']
    _232_group_list = [str(CVS_folder) + '/' + '232_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '232_late_mandatory_training.xlsx']
    _258_group_list = [str(CVS_folder) + '/' + '258_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '258_late_mandatory_training.xlsx']
    _29_group_list = [str(CVS_folder) + '/' + '29_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '29_late_mandatory_training.xlsx']
    _279_group_list = [str(CVS_folder) + '/' + '279_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '279_late_mandatory_training.xlsx']
    _304_group_list = [str(CVS_folder) + '/' + '304_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '304_late_mandatory_training.xlsx']
    _148_group_list = [str(CVS_folder) + '/' + '148_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '148_late_mandatory_training.xlsx']
    _325_group_list = [str(CVS_folder) + '/' + '325_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '325_late_mandatory_training.xlsx']
    _81_group_list = [str(CVS_folder) + '/' + '81_due_mandatory_training.xlsx', str(CVS_folder) + '/' + '81_late_mandatory_training.xlsx']

    pyminizip.compress_multiple(_96_group_list, [], str(CVS_folder) + '/' + "96bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_192_group_list, [], str(CVS_folder) + '/' + "192bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_24_group_list, [], str(CVS_folder) + '/' + "24bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_254_group_list, [], str(CVS_folder) + '/' + "254bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_89_group_list, [], str(CVS_folder) + '/' + "89bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_220_group_list, [], str(CVS_folder) + '/' + "220bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_260_group_list, [], str(CVS_folder) + '/' + "260bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_100_group_list, [], str(CVS_folder) + '/' + "100bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_219_group_list, [], str(CVS_folder) + '/' + "219bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_198_group_list, [], str(CVS_folder) + '/' + "198bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_232_group_list, [], str(CVS_folder) + '/' + "232bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_258_group_list, [], str(CVS_folder) + '/' + "258bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_29_group_list, [], str(CVS_folder) + '/' + "29bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_279_group_list, [], str(CVS_folder) + '/' + "279bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_304_group_list, [], str(CVS_folder) + '/' + "304bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_148_group_list, [], str(CVS_folder) + '/' + "148bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_325_group_list, [], str(CVS_folder) + '/' + "325bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_81_group_list, [], str(CVS_folder) + '/' + "81bham.zip", "BhamSc@uts", 1)

    #CVS_group_list = [str(CVS_folder) + '/' + "81bham.zip", str(CVS_folder) + '/' + "192bham.zip", str(CVS_folder) + '/' + "24bham.zip", str(CVS_folder) + '/' + "254bham.zip", str(CVS_folder) + '/' + "89bham.zip",str(CVS_folder) + '/' + "220bham.zip", str(CVS_folder) + '/' + "260bham.zip",str(CVS_folder) + '/' + "100bham.zip",str(CVS_folder) + '/' + "219bham.zip",str(CVS_folder) + '/' + "198bham.zip",str(CVS_folder) + '/' + "232bham.zip",str(CVS_folder) + '/' + "258bham.zip",str(CVS_folder) + '/' + "29bham.zip",str(CVS_folder) + '/' + "279bham.zip",str(CVS_folder) + '/' + "304bham.zip",str(CVS_folder) + '/' + "148bham.zip",str(CVS_folder) + '/' + "325bham.zip",]
    #pyminizip.compress_multiple(CVS_group_list, [], str(working_folder) + '/' + "cvs_groups.zip", "BhamSc@uts", 1)

    _74_group_list = [str(rea_folder) + '/' + '74_due_mandatory_training.xlsx', str(rea_folder) + '/' + '74_late_mandatory_training.xlsx']
    _191_group_list = [str(rea_folder) + '/' + '191_due_mandatory_training.xlsx', str(rea_folder) + '/' + '191_late_mandatory_training.xlsx']
    _145_group_list = [str(rea_folder) + '/' + '145_due_mandatory_training.xlsx', str(rea_folder) + '/' + '145_late_mandatory_training.xlsx']
    _108_group_list = [str(rea_folder) + '/' + '108_due_mandatory_training.xlsx', str(rea_folder) + '/' + '108_late_mandatory_training.xlsx']
    _169_group_list = [str(rea_folder) + '/' + '169_due_mandatory_training.xlsx', str(rea_folder) + '/' + '169_late_mandatory_training.xlsx']
    _293_group_list = [str(rea_folder) + '/' + '293_due_mandatory_training.xlsx', str(rea_folder) + '/' + '293_late_mandatory_training.xlsx']
    _281_group_list = [str(rea_folder) + '/' + '281_due_mandatory_training.xlsx', str(rea_folder) + '/' + '281_late_mandatory_training.xlsx']
    _277_group_list = [str(rea_folder) + '/' + '277_due_mandatory_training.xlsx', str(rea_folder) + '/' + '277_late_mandatory_training.xlsx']
    _195_group_list = [str(rea_folder) + '/' + '195_due_mandatory_training.xlsx', str(rea_folder) + '/' + '195_late_mandatory_training.xlsx']
    _238_group_list = [str(rea_folder) + '/' + '238_due_mandatory_training.xlsx', str(rea_folder) + '/' + '238_late_mandatory_training.xlsx']
    _206_group_list = [str(rea_folder) + '/' + '206_due_mandatory_training.xlsx', str(rea_folder) + '/' + '206_late_mandatory_training.xlsx']
    _283_group_list = [str(rea_folder) + '/' + '283_due_mandatory_training.xlsx', str(rea_folder) + '/' + '283_late_mandatory_training.xlsx']
    _42_group_list = [str(rea_folder) + '/' + '42_due_mandatory_training.xlsx', str(rea_folder) + '/' + '42_late_mandatory_training.xlsx']
    _95_group_list = [str(rea_folder) + '/' + '95_due_mandatory_training.xlsx', str(rea_folder) + '/' + '95_late_mandatory_training.xlsx']
    _303_group_list = [str(rea_folder) + '/' + '303_due_mandatory_training.xlsx', str(rea_folder) + '/' + '303_late_mandatory_training.xlsx']
    _113_group_list = [str(rea_folder) + '/' + '113_due_mandatory_training.xlsx', str(rea_folder) + '/' + '113_late_mandatory_training.xlsx']
    _218_group_list = [str(rea_folder) + '/' + '218_due_mandatory_training.xlsx', str(rea_folder) + '/' + '218_late_mandatory_training.xlsx']
    _332_group_list = [str(rea_folder) + '/' + '332_due_mandatory_training.xlsx', str(rea_folder) + '/' + '332_late_mandatory_training.xlsx']

    pyminizip.compress_multiple(_74_group_list, [], str(rea_folder) + '/' + "74bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_191_group_list, [], str(rea_folder) + '/' + "191bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_145_group_list, [], str(rea_folder) + '/' + "145bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_108_group_list, [], str(rea_folder) + '/' + "108bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_169_group_list, [], str(rea_folder) + '/' + "169bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_293_group_list, [], str(rea_folder) + '/' + "293bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_281_group_list, [], str(rea_folder) + '/' + "281bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_277_group_list, [], str(rea_folder) + '/' + "277bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_195_group_list, [], str(rea_folder) + '/' + "195bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_238_group_list, [], str(rea_folder) + '/' + "238bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_206_group_list, [], str(rea_folder) + '/' + "206bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_283_group_list, [], str(rea_folder) + '/' + "283bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_42_group_list, [], str(rea_folder) + '/' + "42bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_95_group_list, [], str(rea_folder) + '/' + "95bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_303_group_list, [], str(rea_folder) + '/' + "303bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_113_group_list, [], str(rea_folder) + '/' + "113bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_218_group_list, [], str(rea_folder) + '/' + "218bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_332_group_list, [], str(rea_folder) + '/' + "332bham.zip", "BhamSc@uts", 1)

    #rea_group_list = [str(rea_folder) + '/' + "74bham.zip", str(rea_folder) + '/' + "191bham.zip", str(rea_folder) + '/' + "145bham.zip", str(rea_folder) + '/' + "108bham.zip", str(rea_folder) + '/' + "169bham.zip",str(rea_folder) + '/' + "293bham.zip", str(rea_folder) + '/' + "281bham.zip",str(rea_folder) + '/' + "277bham.zip",str(rea_folder) + '/' + "195bham.zip",str(rea_folder) + '/' + "238bham.zip",str(rea_folder) + '/' + "206bham.zip",str(rea_folder) + '/' + "283bham.zip",str(rea_folder) + '/' + "42bham.zip",str(rea_folder) + '/' + "95bham.zip",str(rea_folder) + '/' + "303bham.zip",str(rea_folder) + '/' + "113bham.zip",str(rea_folder) + '/' + "218bham.zip",str(rea_folder) + '/' + "332bham.zip",]
    #pyminizip.compress_multiple(rea_group_list, [], str(working_folder) + '/' + "rea_groups.zip", "BhamSc@uts", 1)

    _298_group_list = [str(spitfire_folder) + '/' + '298_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '298_late_mandatory_training.xlsx']
    _144_group_list = [str(spitfire_folder) + '/' + '144_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '144_late_mandatory_training.xlsx']
    _34_group_list = [str(spitfire_folder) + '/' + '34_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '34_late_mandatory_training.xlsx']
    _234_group_list = [str(spitfire_folder) + '/' + '234_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '234_late_mandatory_training.xlsx']
    _237_group_list = [str(spitfire_folder) + '/' + '237_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '237_late_mandatory_training.xlsx']
    _126_group_list = [str(spitfire_folder) + '/' + '126_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '126_late_mandatory_training.xlsx']
    _87_group_list = [str(spitfire_folder) + '/' + '87_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '87_late_mandatory_training.xlsx']
    _261_group_list = [str(spitfire_folder) + '/' + '261_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '261_late_mandatory_training.xlsx']
    _118_group_list = [str(spitfire_folder) + '/' + '118_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '118_late_mandatory_training.xlsx']
    _184_group_list = [str(spitfire_folder) + '/' + '184_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '184_late_mandatory_training.xlsx']
    _155_group_list = [str(spitfire_folder) + '/' + '155_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '155_late_mandatory_training.xlsx']
    _211_group_list = [str(spitfire_folder) + '/' + '211_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '211_late_mandatory_training.xlsx']
    _309_group_list = [str(spitfire_folder) + '/' + '309_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '309_late_mandatory_training.xlsx']
    _141_group_list = [str(spitfire_folder) + '/' + '141_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '141_late_mandatory_training.xlsx']
    _305_group_list = [str(spitfire_folder) + '/' + '305_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '305_late_mandatory_training.xlsx']
    _330_group_list = [str(spitfire_folder) + '/' + '330_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '330_late_mandatory_training.xlsx']
    _331_group_list = [str(spitfire_folder) + '/' + '331_due_mandatory_training.xlsx', str(spitfire_folder) + '/' + '331_late_mandatory_training.xlsx']
    
    pyminizip.compress_multiple(_298_group_list, [], str(spitfire_folder) + '/' + "298bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_144_group_list, [], str(spitfire_folder) + '/' + "144bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_34_group_list, [], str(spitfire_folder) + '/' + "34bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_234_group_list, [], str(spitfire_folder) + '/' + "234bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_237_group_list, [], str(spitfire_folder) + '/' + "237bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_126_group_list, [], str(spitfire_folder) + '/' + "126bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_87_group_list, [], str(spitfire_folder) + '/' + "87bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_261_group_list, [], str(spitfire_folder) + '/' + "261bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_118_group_list, [], str(spitfire_folder) + '/' + "118bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_184_group_list, [], str(spitfire_folder) + '/' + "184bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_155_group_list, [], str(spitfire_folder) + '/' + "155bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_211_group_list, [], str(spitfire_folder) + '/' + "211bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_309_group_list, [], str(spitfire_folder) + '/' + "309bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_141_group_list, [], str(spitfire_folder) + '/' + "141bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_305_group_list, [], str(spitfire_folder) + '/' + "305bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_330_group_list, [], str(spitfire_folder) + '/' + "330bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_331_group_list, [], str(spitfire_folder) + '/' + "331bham.zip", "BhamSc@uts", 1)

    #spitfire_group_list = [str(spitfire_folder) + '/' + "298bham.zip", str(spitfire_folder) + '/' + "144bham.zip", str(spitfire_folder) + '/' + "34bham.zip", str(spitfire_folder) + '/' + "234bham.zip", str(spitfire_folder) + '/' + "237bham.zip",str(spitfire_folder) + '/' + "126bham.zip", str(spitfire_folder) + '/' + "87bham.zip",str(spitfire_folder) + '/' + "261bham.zip",str(spitfire_folder) + '/' + "118bham.zip",str(spitfire_folder) + '/' + "184bham.zip",str(spitfire_folder) + '/' + "155bham.zip",str(spitfire_folder) + '/' + "211bham.zip",str(spitfire_folder) + '/' + "309bham.zip",str(spitfire_folder) + '/' + "141bham.zip",str(spitfire_folder) + '/' + "305bham.zip",str(spitfire_folder) + '/' + "330bham.zip",str(spitfire_folder) + '/' + "331bham.zip"]
    #pyminizip.compress_multiple(spitfire_group_list, [], str(working_folder) + '/' + "spitfire_groups.zip", "BhamSc@uts", 1)

    _143_group_list = [str(SCE_folder) + '/' + '143_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '143_late_mandatory_training.xlsx']
    _21_group_list = [str(SCE_folder) + '/' + '21_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '21_late_mandatory_training.xlsx']
    _197_group_list = [str(SCE_folder) + '/' + '197_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '197_late_mandatory_training.xlsx']
    _209_group_list = [str(SCE_folder) + '/' + '209_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '209_late_mandatory_training.xlsx']
    _167_group_list = [str(SCE_folder) + '/' + '167_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '167_late_mandatory_training.xlsx']
    _235_group_list = [str(SCE_folder) + '/' + '235_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '235_late_mandatory_training.xlsx']
    _227_group_list = [str(SCE_folder) + '/' + '227_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '227_late_mandatory_training.xlsx']
    _172_group_list = [str(SCE_folder) + '/' + '172_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '172_late_mandatory_training.xlsx']
    _257_group_list = [str(SCE_folder) + '/' + '257_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '257_late_mandatory_training.xlsx']
    _164_group_list = [str(SCE_folder) + '/' + '164_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '164_late_mandatory_training.xlsx']
    _326_group_list = [str(SCE_folder) + '/' + '326_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '326_late_mandatory_training.xlsx']
    _102_group_list = [str(SCE_folder) + '/' + '102_due_mandatory_training.xlsx', str(SCE_folder) + '/' + '102_late_mandatory_training.xlsx']
    
    pyminizip.compress_multiple(_143_group_list, [], str(SCE_folder) + '/' + "143bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_21_group_list, [], str(SCE_folder) + '/' + "21bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_197_group_list, [], str(SCE_folder) + '/' + "197bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_209_group_list, [], str(SCE_folder) + '/' + "209bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_167_group_list, [], str(SCE_folder) + '/' + "167bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_235_group_list, [], str(SCE_folder) + '/' + "235bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_227_group_list, [], str(SCE_folder) + '/' + "227bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_172_group_list, [], str(SCE_folder) + '/' + "172bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_257_group_list, [], str(SCE_folder) + '/' + "257bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_164_group_list, [], str(SCE_folder) + '/' + "164bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_326_group_list, [], str(SCE_folder) + '/' + "326bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_102_group_list, [], str(SCE_folder) + '/' + "102bham.zip", "BhamSc@uts", 1)
    
    #SCE_group_list = [str(SCE_folder) + '/' + "143bham.zip", str(SCE_folder) + '/' + "21bham.zip", str(SCE_folder) + '/' + "197bham.zip", str(SCE_folder) + '/' + "209bham.zip", str(SCE_folder) + '/' + "167bham.zip",str(SCE_folder) + '/' + "235bham.zip", str(SCE_folder) + '/' + "227bham.zip",str(SCE_folder) + '/' + "172bham.zip",str(SCE_folder) + '/' + "257bham.zip",str(SCE_folder) + '/' + "164bham.zip",str(SCE_folder) + '/' + "326bham.zip",str(SCE_folder) + '/' + "102bham.zip"]
    #pyminizip.compress_multiple(SCE_group_list, [], str(working_folder) + '/' + "SCE_groups.zip", "BhamSc@uts", 1)

    _163_group_list = [str(SCW_folder) + '/' + '163_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '163_late_mandatory_training.xlsx']
    _31_group_list = [str(SCW_folder) + '/' + '163_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '31_late_mandatory_training.xlsx']
    _248_group_list = [str(SCW_folder) + '/' + '248_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '248_late_mandatory_training.xlsx']
    _33_group_list = [str(SCW_folder) + '/' + '33_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '33_late_mandatory_training.xlsx']
    _13_group_list = [str(SCW_folder) + '/' + '13_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '13_late_mandatory_training.xlsx']
    _67_group_list = [str(SCW_folder) + '/' + '67_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '67_late_mandatory_training.xlsx']
    _171_group_list = [str(SCW_folder) + '/' + '171_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '171_late_mandatory_training.xlsx']
    _242_group_list = [str(SCW_folder) + '/' + '242_due_mandatory_training.xlsx', str(SCW_folder) + '/' + '242_late_mandatory_training.xlsx']
   
    pyminizip.compress_multiple(_163_group_list, [], str(SCW_folder) + '/' + "163bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_31_group_list, [], str(SCW_folder) + '/' + "31sutton.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_248_group_list, [], str(SCW_folder) + '/' + "248bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_33_group_list, [], str(SCW_folder) + '/' + "33bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_13_group_list, [], str(SCW_folder) + '/' + "13bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_67_group_list, [], str(SCW_folder) + '/' + "67bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_171_group_list, [], str(SCW_folder) + '/' + "171bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_242_group_list, [], str(SCW_folder) + '/' + "242bham.zip", "BhamSc@uts", 1)
    
    #SCW_group_list = [str(SCW_folder) + '/' + "163bham.zip", str(SCW_folder) + '/' + "31sutton.zip", str(SCW_folder) + '/' + "248bham.zip", str(SCW_folder) + '/' + "33bham.zip", str(SCW_folder) + '/' + "13bham.zip",str(SCW_folder) + '/' + "67bham.zip", str(SCW_folder) + '/' + "171bham.zip",str(SCW_folder) + '/' + "242bham.zip"]
    #pyminizip.compress_multiple(SCW_group_list, [], str(working_folder) + '/' + "SCW_groups.zip", "BhamSc@uts", 1)

    _25_group_list = [str(tame_folder) + '/' + '25_due_mandatory_training.xlsx', str(tame_folder) + '/' + '25_late_mandatory_training.xlsx']
    _114_group_list = [str(tame_folder) + '/' + '114_due_mandatory_training.xlsx', str(tame_folder) + '/' + '114_late_mandatory_training.xlsx']
    _64_group_list = [str(tame_folder) + '/' + '64_due_mandatory_training.xlsx', str(tame_folder) + '/' + '64_late_mandatory_training.xlsx']
    _236_group_list = [str(tame_folder) + '/' + '236_due_mandatory_training.xlsx', str(tame_folder) + '/' + '236_late_mandatory_training.xlsx']
    _177_group_list = [str(tame_folder) + '/' + '177_due_mandatory_training.xlsx', str(tame_folder) + '/' + '177_late_mandatory_training.xlsx']
    _210_group_list = [str(tame_folder) + '/' + '210_due_mandatory_training.xlsx', str(tame_folder) + '/' + '210_late_mandatory_training.xlsx']
    _244_group_list = [str(tame_folder) + '/' + '244_due_mandatory_training.xlsx', str(tame_folder) + '/' + '244_late_mandatory_training.xlsx']
    _213_group_list = [str(tame_folder) + '/' + '213_due_mandatory_training.xlsx', str(tame_folder) + '/' + '213_late_mandatory_training.xlsx']
    _32_group_list = [str(tame_folder) + '/' + '32_due_mandatory_training.xlsx', str(tame_folder) + '/' + '32_late_mandatory_training.xlsx']
    _5_group_list = [str(tame_folder) + '/' + '5_due_mandatory_training.xlsx', str(tame_folder) + '/' + '5_late_mandatory_training.xlsx']
    _222_group_list = [str(tame_folder) + '/' + '222_due_mandatory_training.xlsx', str(tame_folder) + '/' + '222_late_mandatory_training.xlsx']
    _313_group_list = [str(tame_folder) + '/' + '313_due_mandatory_training.xlsx', str(tame_folder) + '/' + '313_late_mandatory_training.xlsx']
    _327_group_list = [str(tame_folder) + '/' + '327_due_mandatory_training.xlsx', str(tame_folder) + '/' + '327_late_mandatory_training.xlsx']
    _333_group_list = [str(tame_folder) + '/' + '333_due_mandatory_training.xlsx', str(tame_folder) + '/' + '333_late_mandatory_training.xlsx']
    
    pyminizip.compress_multiple(_25_group_list, [], str(tame_folder) + '/' + "25bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_114_group_list, [], str(tame_folder) + '/' + "114bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_64_group_list, [], str(tame_folder) + '/' + "64bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_236_group_list, [], str(tame_folder) + '/' + "236bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_177_group_list, [], str(tame_folder) + '/' + "177bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_210_group_list, [], str(tame_folder) + '/' + "210bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_244_group_list, [], str(tame_folder) + '/' + "244bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_213_group_list, [], str(tame_folder) + '/' + "213bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_32_group_list, [], str(tame_folder) + '/' + "32bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_5_group_list, [], str(tame_folder) + '/' + "5bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_222_group_list, [], str(tame_folder) + '/' + "222bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_313_group_list, [], str(tame_folder) + '/' + "313bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_327_group_list, [], str(tame_folder) + '/' + "327bham.zip", "BhamSc@uts", 1)
    pyminizip.compress_multiple(_333_group_list, [], str(tame_folder) + '/' + "333bham.zip", "BhamSc@uts", 1)
    
    #tame_group_list = [str(tame_folder) + '/' + "25bham.zip", str(tame_folder) + '/' + "114bham.zip", str(tame_folder) + '/' + "64bham.zip", str(tame_folder) + '/' + "236bham.zip", str(tame_folder) + '/' + "177bham.zip",str(tame_folder) + '/' + "210bham.zip", str(tame_folder) + '/' + "244bham.zip",str(tame_folder) + '/' + "213bham.zip",str(tame_folder) + '/' + "32bham.zip",str(tame_folder) + '/' + "5bham.zip",str(tame_folder) + '/' + "222bham.zip",str(tame_folder) + '/' + "313bham.zip",str(tame_folder) + '/' + "327bham.zip",str(tame_folder) + '/' + "333bham.zip"]
    #pyminizip.compress_multiple(tame_group_list, [], str(working_folder) + '/' + "tame_groups.zip", "BhamSc@uts", 1)



convert_csv_xlsx()
